import csv, re, json

fname = "/home/goatchurch/caving/expoweb/noinfo/folk.csv"
persontab = open(fname)
personreader = csv.reader(persontab)
headers = personreader.__next__()
header = dict(zip(headers, range(len(headers))))
years = headers[5:]

personexpos = [ ]  # ( first_name, last_name, nickname, year ) 
for personline in personreader:
    name = personline[header["Name"]]
    name = re.sub("<.*?>", "", name)
    mname = re.match("(\w+)(?:\s((?:van |ten )?\w+))?(?:\s\(([^)]*)\))?", name)
    nickname = mname.group(3) or ""

    lookupAttribs={'first_name':mname.group(1), 'last_name':(mname.group(2) or "")}

    # make person expedition from table
    for year, attended in list(zip(headers, personline))[5:]:
        if attended == "1" or attended == "-1":
            personexpos.append((mname.group(1)+";"+(mname.group(2) or ""), nickname, int(year)))

personsperyear = [ (y, sum(1  for x in personexpos  if x[2] == y))  for y in range(1976, 2017) ]

json.dump(personexpos, open("/home/goatchurch/caving/eurospeleotalk/logbookprocessing/folk.json", "w"))

